> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Access IP Ranges



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/account-billing/ip-addresses.yml get /access_ip_ranges
openapi: 3.1.0
info:
  title: Telnyx IP Addresses API
  version: 2.0.0
  description: API for IP addresses.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /access_ip_ranges:
    get:
      tags:
        - IP Ranges
      summary: List all Access IP Ranges
      operationId: ListAccessIpRanges
      parameters:
        - name: filter
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated filter parameter (deepObject style). Originally:
            filter[cidr_block], filter[cidr_block][startswith],
            filter[cidr_block][endswith], filter[cidr_block][contains],
            filter[created_at]. Supports complex bracket operations for dynamic
            filtering.
          schema:
            type: object
            properties:
              cidr_block:
                oneOf:
                  - type: string
                    description: Filter by exact CIDR block match
                  - type: object
                    title: CidrBlockPatternFilter
                    properties:
                      startswith:
                        type: string
                        description: Filter CIDR blocks starting with the specified string
                      endswith:
                        type: string
                        description: Filter CIDR blocks ending with the specified string
                      contains:
                        type: string
                        description: Filter CIDR blocks containing the specified string
                    additionalProperties: false
                    description: CIDR block pattern matching operations
              created_at:
                oneOf:
                  - type: string
                    format: date-time
                    description: Filter by exact creation date-time
                  - type: object
                    title: DateRangeFilter
                    properties:
                      gt:
                        type: string
                        format: date-time
                        description: Filter for creation date-time greater than
                      lt:
                        type: string
                        format: date-time
                        description: Filter for creation date-time less than
                      gte:
                        type: string
                        format: date-time
                        description: Filter for creation date-time greater than or equal to
                      lte:
                        type: string
                        format: date-time
                        description: Filter for creation date-time less than or equal to
                    additionalProperties: false
                    description: Date range filtering operations
            additionalProperties: true
          examples:
            filter[cidr_block]=192.168.1.0/24:
              value:
                cidr_block: 192.168.1.0/24
              summary: Filter by exact CIDR block match
            filter[cidr_block][startswith]=192.168:
              value:
                cidr_block:
                  startswith: '192.168'
              summary: Filter CIDR blocks starting with '192.168'
            filter[cidr_block][endswith]=/24:
              value:
                cidr_block:
                  endswith: /24
              summary: Filter CIDR blocks ending with '/24'
            filter[cidr_block][contains]=10.0:
              value:
                cidr_block:
                  contains: '10.0'
              summary: Filter CIDR blocks containing '10.0'
            filter[created_at][gt]=2023-01-01T00:00:00Z:
              value:
                created_at:
                  gt: '2023-01-01T00:00:00Z'
              summary: Filter IP ranges created after the specified date-time
            filter[created_at][lt]=2023-12-31T23:59:59Z:
              value:
                created_at:
                  lt: '2023-12-31T23:59:59Z'
              summary: Filter IP ranges created before the specified date-time
            Complex filtering example:
              value:
                cidr_block:
                  startswith: '10.0'
                  endswith: /16
                created_at:
                  gt: '2023-01-01T00:00:00Z'
                  lt: '2023-12-31T23:59:59Z'
              summary: >-
                Combine multiple filters: CIDR blocks starting with '10.0' and
                ending with '/16', created within 2023
        - name: page
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated page parameter (deepObject style). Originally:
            page[number], page[size]
          schema:
            type: object
            properties:
              number:
                type: integer
                default: 1
              size:
                maximum: 250
                type: integer
                default: 20
          examples:
            page[number]=1&page[size]=20:
              value:
                number: 1
                size: 20
              summary: Default pagination with first page and 20 records per page
            page[number]=2&page[size]=20:
              value:
                number: 2
                size: 20
              summary: Second page with 20 records per page
            page[number]=1&page[size]=50:
              value:
                number: 1
                size: 50
              summary: First page with 50 records per page
            page[number]=5&page[size]=100:
              value:
                number: 5
                size: 100
              summary: Fifth page with 100 records per page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessIPRangeListResponseSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/cloudflare-ip-list-sync_Errors'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            // Automatically fetches more pages as needed.
            for await (const accessIPRange of client.accessIPRanges.list()) {
              console.log(accessIPRange.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.access_ip_ranges.list()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.AccessIPRanges.List(context.TODO(), telnyx.AccessIPRangeListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.accessipranges.AccessIpRangeListPage;
            import com.telnyx.sdk.models.accessipranges.AccessIpRangeListParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    AccessIpRangeListPage page = client.accessIpRanges().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.access_ip_ranges.list

            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->accessIPRanges->list(
                filter: [
                  'cidrBlock' => 'string',
                  'createdAt' => new \DateTimeImmutable('2019-12-27T18:11:19.117Z'),
                ],
                pageNumber: 0,
                pageSize: 0,
              );

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx access-ip-ranges list \
              --api-key 'My API Key'
components:
  schemas:
    AccessIPRangeListResponseSchema:
      title: AccessIPRangeListResponseSchema
      required:
        - data
        - meta
      type: object
      properties:
        data:
          title: Data
          type: array
          items:
            $ref: '#/components/schemas/AccessIPRangeResponseSchema'
        meta:
          $ref: '#/components/schemas/cloudflare-ip-list-sync_PaginationMeta'
    cloudflare-ip-list-sync_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/cloudflare-ip-list-sync_Error'
      type: object
    AccessIPRangeResponseSchema:
      title: AccessIPRangeResponseSchema
      required:
        - id
        - cidr_block
        - status
        - user_id
      type: object
      properties:
        id:
          title: Id
          type: string
        cidr_block:
          title: Cidr Block
          type: string
        status:
          $ref: '#/components/schemas/CloudflareSyncStatus'
        description:
          title: Description
          type: string
        user_id:
          title: User Id
          type: string
        created_at:
          title: Created At
          type: string
          format: date-time
        updated_at:
          title: Updated At
          type: string
          format: date-time
    cloudflare-ip-list-sync_PaginationMeta:
      title: PaginationMeta
      required:
        - page_number
        - page_size
        - total_pages
        - total_results
      type: object
      properties:
        page_number:
          type: integer
        page_size:
          type: integer
        total_pages:
          type: integer
        total_results:
          type: integer
    cloudflare-ip-list-sync_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
    CloudflareSyncStatus:
      title: CloudflareSyncStatus
      enum:
        - pending
        - added
      type: string
      description: An enumeration.
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````